%define upstream_name    Lingua-Translit
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Transliterates text between writing systems
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/Lingua-Translit
Group:      Development/Perl

Source0:    https://cpan.metacpan.org/authors/id/A/AL/ALINKE/Lingua-Translit-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl
# Run-time

# Testing

%description
Lingua::Translit can be used to convert text from one writing system to
another, based on national or international transliteration tables. Where
possible a reverse transliteration is supported.

%prep
%setup -q -n Lingua-Translit-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/translit
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.290.0-2.mga10
+ Revision: 2214747
- Mageia 10 Mass Rebuild

* Wed Jun 22 2022 tv <tv> 0.290.0-1.mga9
+ Revision: 1865470
- update to 0.29

* Tue Mar 29 2022 tv <tv> 0.280.0-2.mga9
+ Revision: 1832343
- Really uses %%upstream_version
- Use %%mkrel !!!
- Use %%upstream_name for automatic updates using magpie
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 joequant <joequant> 0.28-1.mga9
+ Revision: 1759262
- imported package perl-Lingua-Translit


* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-12
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 22 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-9
- Perl 5.32 rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-6
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 27 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.28-3
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 20 2017 Denis Fateyev <denis@fateyev.com> - 0.28-1
- Update to 0.28 release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.27-2
- Perl 5.26 rebuild

* Sat Apr 29 2017 Denis Fateyev <denis@fateyev.com> - 0.27-1
- Update to 0.27 release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed May 25 2016 Denis Fateyev <denis@fateyev.com> - 0.26-1
- Update to 0.26 release

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.25-2
- Perl 5.24 rebuild

* Wed Apr 06 2016 Denis Fateyev <denis@fateyev.com> - 0.25-1
- Changed the license to same as Perl
- Update to 0.25 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 12 2015 Denis Fateyev <denis@fateyev.com> - 0.24-1
- Update to 0.24 release

* Mon Nov 23 2015 Denis Fateyev <denis@fateyev.com> - 0.23-1
- Update to 0.23 release

* Wed Nov 18 2015 Denis Fateyev <denis@fateyev.com> - 0.22-2
- Some spec cleanup

* Mon Nov 16 2015 Denis Fateyev <denis@fateyev.com> - 0.22-1
- Initial release
